Skip to main content

Prerequisites

Before you begin, make sure you have:

Make Your First API Call

Step 1: Set Up Authentication

All API requests require a Bearer token in the Authorization header:
export LANCE_API_KEY="your-api-key-here"

Step 2: Show your credit balance

Start by retrieving your credit balance:
curl -X GET "https://app.lance.so/api/v1/operations/credits/balance" \
  -H "Authorization: Bearer $LANCE_API_KEY" \
  -H "Content-Type: application/json"

Step 3: Search for Companies

Find companies matching your criteria:
curl -X POST "https://app.lance.so/api/v1/entities/prospects/company/search" \
  -H "Authorization: Bearer $LANCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"page":1,"size":25,"account":{"industry":{"any":{"include":["biotechnology","construction"]}},"location":{"any":{"include":["Germany","Paris, France"]}}},"contact":{"departmentAndFunction":{"any":{"include":["master_information_technology"]}}}}'

Step 4: Enrich a Contact

Get phone and email for a person:
const personId = "1707CAED-B741-4A3F-B90D-96EC21D876D9"
const response = await fetch('https://app.lance.so/api/v1/operations/enrichment/' + personId, {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${process.env.LANCE_API_KEY}`,
    'Content-Type': 'application/json'
  }
});
const enrichedContact = await response.json();

Next Steps

API Reference

Explore all available endpoints

Lead Lists

Manage your lead lists

Enrichment

Enrich contacts at scale

CRM Export

Export to your CRM

Common Use Cases

Use CaseEndpoints
Build a lead listSearch Companies + Add to List
Enrich contactsEnrich Person or Batch Enrich
Export to CRMCRM Export
Need help? Contact us from our website www.lance.so and we’ll get in touch within 24 hours!